CommandLine.Model.ParserSpec (picocli 3.9.6 API)
Date: 2019-04-06

picocli

## Class CommandLine.Model.ParserSpec

- java.lang.Object
- - picocli.CommandLine.Model.ParserSpec

- Enclosing class:
    CommandLine.Model

      public static class CommandLine.Model.ParserSpec
      extends java.lang.Object

  Models parser configuration specification.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserSpec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `aritySatisfiedByAttachedOptionParam()` Returns true if options with attached arguments should not consume subsequent arguments and should not validate arity.
    `CommandLine.Model.ParserSpec` | `aritySatisfiedByAttachedOptionParam(boolean newValue)` Returns true if options with attached arguments should not consume subsequent arguments and should not validate arity.
    `java.lang.Character` | `atFileCommentChar()`
    `CommandLine.Model.ParserSpec` | `atFileCommentChar(java.lang.Character atFileCommentChar)`
    `boolean` | `caseInsensitiveEnumValuesAllowed()`
    `CommandLine.Model.ParserSpec` | `caseInsensitiveEnumValuesAllowed(boolean caseInsensitiveEnumValuesAllowed)`
    `boolean` | `collectErrors()` Returns true if exceptions during parsing should be collected instead of thrown.
    `CommandLine.Model.ParserSpec` | `collectErrors(boolean collectErrors)` Sets whether exceptions during parsing should be collected instead of thrown.
    `java.lang.String` | `endOfOptionsDelimiter()`
    `CommandLine.Model.ParserSpec` | `endOfOptionsDelimiter(java.lang.String delimiter)`
    `boolean` | `expandAtFiles()`
    `CommandLine.Model.ParserSpec` | `expandAtFiles(boolean expandAtFiles)`
    `boolean` | `limitSplit()` Returns true if arguments should be split first before any further processing and the number of parts resulting from the split is limited to the max arity of the argument.
    `CommandLine.Model.ParserSpec` | `limitSplit(boolean limitSplit)` Sets whether arguments should be split first before any further processing.
    `boolean` | `overwrittenOptionsAllowed()`
    `CommandLine.Model.ParserSpec` | `overwrittenOptionsAllowed(boolean overwrittenOptionsAllowed)`
    `boolean` | `posixClusteredShortOptionsAllowed()`
    `CommandLine.Model.ParserSpec` | `posixClusteredShortOptionsAllowed(boolean posixClusteredShortOptionsAllowed)`
    `java.lang.String` | `separator()` Returns the String to use as the separator between options and option parameters.
    `CommandLine.Model.ParserSpec` | `separator(java.lang.String separator)` Sets the String to use as the separator between options and option parameters.
    `boolean` | `splitQuotedStrings()`
    `CommandLine.Model.ParserSpec` | `splitQuotedStrings(boolean splitQuotedStrings)`
    `boolean` | `stopAtPositional()`
    `CommandLine.Model.ParserSpec` | `stopAtPositional(boolean stopAtPositional)`
    `boolean` | `stopAtUnmatched()`
    `CommandLine.Model.ParserSpec` | `stopAtUnmatched(boolean stopAtUnmatched)`
    `boolean` | `toggleBooleanFlags()`
    `CommandLine.Model.ParserSpec` | `toggleBooleanFlags(boolean toggleBooleanFlags)`
    `java.lang.String` | `toString()`
    `boolean` | `trimQuotes()`
    `CommandLine.Model.ParserSpec` | `trimQuotes(boolean trimQuotes)`
    `boolean` | `unmatchedArgumentsAllowed()`
    `CommandLine.Model.ParserSpec` | `unmatchedArgumentsAllowed(boolean unmatchedArgumentsAllowed)`
    `boolean` | `unmatchedOptionsArePositionalParams()`
    `CommandLine.Model.ParserSpec` | `unmatchedOptionsArePositionalParams(boolean unmatchedOptionsArePositionalParams)`
    `boolean` | `useSimplifiedAtFiles()`
    `CommandLine.Model.ParserSpec` | `useSimplifiedAtFiles(boolean useSimplifiedAtFiles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserSpec

          public ParserSpec()

  - ### Method Detail

    - #### separator

          public java.lang.String separator()

      Returns the String to use as the separator between options and option parameters. `"="` by default, initialized from `CommandLine.Command.separator()` if defined.

    - #### stopAtUnmatched

          public boolean stopAtUnmatched()

      See Also:
        `CommandLine.isStopAtUnmatched()`

    - #### stopAtPositional

          public boolean stopAtPositional()

      See Also:
        `CommandLine.isStopAtPositional()`

    - #### endOfOptionsDelimiter

          public java.lang.String endOfOptionsDelimiter()

      Since:
        3.5
      See Also:
        `CommandLine.getEndOfOptionsDelimiter()`

    - #### toggleBooleanFlags

          public boolean toggleBooleanFlags()

      See Also:
        `CommandLine.isToggleBooleanFlags()`

    - #### overwrittenOptionsAllowed

          public boolean overwrittenOptionsAllowed()

      See Also:
        `CommandLine.isOverwrittenOptionsAllowed()`

    - #### unmatchedArgumentsAllowed

          public boolean unmatchedArgumentsAllowed()

      See Also:
        `CommandLine.isUnmatchedArgumentsAllowed()`

    - #### expandAtFiles

          public boolean expandAtFiles()

      See Also:
        `CommandLine.isExpandAtFiles()`

    - #### atFileCommentChar

          public java.lang.Character atFileCommentChar()

      Since:
        3.5
      See Also:
        `CommandLine.getAtFileCommentChar()`

    - #### useSimplifiedAtFiles

          public boolean useSimplifiedAtFiles()

      Since:
        3.9
      See Also:
        `CommandLine.isUseSimplifiedAtFiles()`

    - #### posixClusteredShortOptionsAllowed

          public boolean posixClusteredShortOptionsAllowed()

      See Also:
        `CommandLine.isPosixClusteredShortOptionsAllowed()`

    - #### caseInsensitiveEnumValuesAllowed

          public boolean caseInsensitiveEnumValuesAllowed()

      Since:
        3.4
      See Also:
        `CommandLine.isCaseInsensitiveEnumValuesAllowed()`

    - #### trimQuotes

          public boolean trimQuotes()

      Since:
        3.7
      See Also:
        `CommandLine.isTrimQuotes()`

    - #### splitQuotedStrings

          public boolean splitQuotedStrings()

      Since:
        3.7
      See Also:
        `CommandLine.isSplitQuotedStrings()`

    - #### unmatchedOptionsArePositionalParams

          public boolean unmatchedOptionsArePositionalParams()

      See Also:
        `CommandLine.isUnmatchedOptionsArePositionalParams()`

    - #### limitSplit

          public boolean limitSplit()

      Returns true if arguments should be split first before any further processing and the number of parts resulting from the split is limited to the max arity of the argument.

    - #### aritySatisfiedByAttachedOptionParam

          public boolean aritySatisfiedByAttachedOptionParam()

      Returns true if options with attached arguments should not consume subsequent arguments and should not validate arity. The default is `false`.

    - #### collectErrors

          public boolean collectErrors()

      Returns true if exceptions during parsing should be collected instead of thrown. Multiple errors may be encountered during parsing. These can be obtained from `CommandLine.ParseResult.errors()`.
      Since:
        3.2

    - #### separator

          public CommandLine.Model.ParserSpec separator(java.lang.String separator)

      Sets the String to use as the separator between options and option parameters.
      Returns:
        this ParserSpec for method chaining

    - #### stopAtUnmatched

          public CommandLine.Model.ParserSpec stopAtUnmatched(boolean stopAtUnmatched)

      See Also:
        `CommandLine.setStopAtUnmatched(boolean)`

    - #### stopAtPositional

          public CommandLine.Model.ParserSpec stopAtPositional(boolean stopAtPositional)

      See Also:
        `CommandLine.setStopAtPositional(boolean)`

    - #### endOfOptionsDelimiter

          public CommandLine.Model.ParserSpec endOfOptionsDelimiter(java.lang.String delimiter)

      Since:
        3.5
      See Also:
        `CommandLine.setEndOfOptionsDelimiter(String)`

    - #### toggleBooleanFlags

          public CommandLine.Model.ParserSpec toggleBooleanFlags(boolean toggleBooleanFlags)

      See Also:
        `CommandLine.setToggleBooleanFlags(boolean)`

    - #### overwrittenOptionsAllowed

          public CommandLine.Model.ParserSpec overwrittenOptionsAllowed(boolean overwrittenOptionsAllowed)

      See Also:
        `CommandLine.setOverwrittenOptionsAllowed(boolean)`

    - #### unmatchedArgumentsAllowed

          public CommandLine.Model.ParserSpec unmatchedArgumentsAllowed(boolean unmatchedArgumentsAllowed)

      See Also:
        `CommandLine.setUnmatchedArgumentsAllowed(boolean)`

    - #### expandAtFiles

          public CommandLine.Model.ParserSpec expandAtFiles(boolean expandAtFiles)

      See Also:
        `CommandLine.setExpandAtFiles(boolean)`

    - #### atFileCommentChar

          public CommandLine.Model.ParserSpec atFileCommentChar(java.lang.Character atFileCommentChar)

      Since:
        3.5
      See Also:
        `CommandLine.setAtFileCommentChar(Character)`

    - #### useSimplifiedAtFiles

          public CommandLine.Model.ParserSpec useSimplifiedAtFiles(boolean useSimplifiedAtFiles)

      Since:
        3.9
      See Also:
        `CommandLine.setUseSimplifiedAtFiles(boolean)`

    - #### posixClusteredShortOptionsAllowed

          public CommandLine.Model.ParserSpec posixClusteredShortOptionsAllowed(boolean posixClusteredShortOptionsAllowed)

      See Also:
        `CommandLine.setPosixClusteredShortOptionsAllowed(boolean)`

    - #### caseInsensitiveEnumValuesAllowed

          public CommandLine.Model.ParserSpec caseInsensitiveEnumValuesAllowed(boolean caseInsensitiveEnumValuesAllowed)

      Since:
        3.4
      See Also:
        `CommandLine.setCaseInsensitiveEnumValuesAllowed(boolean)`

    - #### trimQuotes

          public CommandLine.Model.ParserSpec trimQuotes(boolean trimQuotes)

      Since:
        3.7
      See Also:
        `CommandLine.setTrimQuotes(boolean)`

    - #### splitQuotedStrings

          public CommandLine.Model.ParserSpec splitQuotedStrings(boolean splitQuotedStrings)

      Since:
        3.7
      See Also:
        `CommandLine.setSplitQuotedStrings(boolean)`

    - #### unmatchedOptionsArePositionalParams

          public CommandLine.Model.ParserSpec unmatchedOptionsArePositionalParams(boolean unmatchedOptionsArePositionalParams)

      See Also:
        `CommandLine.setUnmatchedOptionsArePositionalParams(boolean)`

    - #### collectErrors

          public CommandLine.Model.ParserSpec collectErrors(boolean collectErrors)

      Sets whether exceptions during parsing should be collected instead of thrown. Multiple errors may be encountered during parsing. These can be obtained from `CommandLine.ParseResult.errors()`.
      Since:
        3.2

    - #### aritySatisfiedByAttachedOptionParam

          public CommandLine.Model.ParserSpec aritySatisfiedByAttachedOptionParam(boolean newValue)

      Returns true if options with attached arguments should not consume subsequent arguments and should not validate arity. The default is `false`.

    - #### limitSplit

          public CommandLine.Model.ParserSpec limitSplit(boolean limitSplit)

      Sets whether arguments should be split first before any further processing. If true, the original argument will only be split into as many parts as allowed by max arity.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`